USE [DineDiscussExample]
GO
/****** Object:  StoredProcedure [dbo].[CustomerDelete]    Script Date: 08/20/2008 21:55:47 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[CustomerDelete]
(
	@CustomerId int,
	@Version int
)
AS
	--SET NOCOUNT ON

	DELETE 
	FROM   [Customer]
	WHERE  
		[CustomerId] = @CustomerId and [Version] = @Version

	RETURN @@Error


USE [DineDiscussExample]
GO
/****** Object:  StoredProcedure [dbo].[CustomerInsert]    Script Date: 08/20/2008 21:56:04 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[CustomerInsert]
(
	
	@Version int,
	@Firstname nvarchar(100) = NULL,
	@Lastname nvarchar(50) = NULL,
	@CustomerId int = NULL OUTPUT
)
AS
	--SET NOCOUNT ON

	INSERT INTO [Customer]
	(
		[Version],
		[Firstname],
		[Lastname]
	)
	VALUES
	(
		@Version,
		@Firstname,
		@Lastname
	)

	SELECT @CustomerId = SCOPE_IDENTITY();

	RETURN @@Error


USE [DineDiscussExample]
GO
/****** Object:  StoredProcedure [dbo].[CustomerUpdate]    Script Date: 08/20/2008 21:56:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[CustomerUpdate]
(
	
	@Version int,
	@Firstname nvarchar(100) = NULL,
	@Lastname nvarchar(50) = NULL,
	@CustomerId int,
	@OldVersion int
)
AS
	--SET NOCOUNT ON
	
	UPDATE [Customer]
	SET
		[Version] = @Version,
		[Firstname] = @Firstname,
		[Lastname] = @Lastname
	WHERE 
		[CustomerId] = @CustomerId and [Version] = @OldVersion

	RETURN @@Error

